Firmware Recommendations - Still 14929 - 09/15/13

Post new topic   This topic is locked: you cannot edit posts or make replies.    DD-WRT Forum Forum Index -> Broadcom SoC based Hardware
Author Message
redhawk0
DD-WRT Guru


Joined: 04 Jan 2007
Posts: 10915
Location: Wherever the wind blows- North America

PostPosted: Sat May 16, 2009 22:02    Post subject: Firmware Recommendations - Still 14929 - 09/15/13 Reply with quote
Regarding the root-exploit (milw0rm), You need to upgrade to a build of at least 12533 for this exploit to be fixed. This should be taken into consideration when deciding on a build....below is information regarding the pre-exploit build recommendations. Current recommended builds below have the fix included for this Exploit.

Read about the workaround to upgrading



Bad Builds for Broadcom

V24 Final dated May 2008
V24-SP1 dated July 2008
Beta 13064 dated Oct 2009 - poor wireless performance
Early kernel 2.6 builds less than 13527 - 100% cpu usage with UPnP enabled (and many other problems I've forgotten).

V24 Final and SP1 versions of dd-wrt are VERY buggy and problematic on Broadcom units.

The majority of problems seen with the V24 and SP1 builds involve DHCP assignment and passing of DHCP leases to other client units.

Please note that WPA2-AES is the only security type that works reliably with DD-wrt.

Since there is no "official" SP2 release yet... "NewMedia-NET GmbH" is populating the router database with the last released build....And currently the Database is now also linking to the 12533 build. The Database may recommend bad builds and you should look here for recommended builds that have proven to be stable from actual user testing.

You can only use 14929 build on routers that were supported by dd-wrt at the time the 14929 build was released. Many very new routers cannot use 14929.

We are very aware of the confusion users have finding builds. The Database was intended to simplify the process but "NewMedia-NET GmbH" has done a poor job of maintaining the Database. We forum moderators have already brought it to their attention long ago and they have begun asking for our feedback before uploading new builds to the Database. For the time being there are still bad builds in the Database and it is still recommended by the forum moderators to use our recommended builds in this thread. When all the kinks are worked out of the organizational process to select builds for the Database then this thread may go away.

[NOTE] -Although not bad builds...we do NOT recommend you try the Eko NEWD2 builds. They are experimental builds and WILL brick certain make/model of routers. These builds are for experimenters and testers only. Read in the forum to see if your router will work with NEWD2 builds.


See this regarding Newd2:


Some models REQUIRE a K26 build....the Asus RT-N10,RT-N16, Netgear 3500L, WRT320nv2...and some others....do not use K24 NEWD builds on these models...read more about K26 here.

Do NOT load Micro builds on any N-Class router. There are no N Drivers in the Micro build.

If you do have problems and have flashed your router with one of the early builds listed above...please reflash your router with a Pre-SP2 build located in this directory BEFORE posting any questions. Keep in mind...these are TEST builds (use at your own risk) but are known to be working well by the dd-wrt community in general.


RECOMMENDED BUILDS update 09/15/13
The date has been updated to inform you that this is still the current recommended build. The links have been updated to reflect the new directory structure.


NOTE: If you are running K26 builds and have problems with Repeater mode (bridged is fine) please see/update this and this ticket.

BrainSlayer builds (14929):
ftp://ftp.dd-wrt.com/others/eko/BrainSlayer-V24-preSP2/2010/08-12-10-r14929/broadcom/


For models that REQUIRE the K26 build (like the WRT610nV2, WNR3500L, RT-N16...etc...see note above)
ftp://ftp.dd-wrt.com/others/eko/BrainSlayer-V24-preSP2/2010/08-12-10-r14929/broadcom_K26/

or if you need Eko VINT or other special Eko builds:
ftp://ftp.dd-wrt.com/others/eko/V24_TNG/svn15230/



If you already have dd-wrt installed on your unit you can update to the Pre-SP2 build through the web gui or using the tftp method (found in the peacock sticky linked below)...If you have a virgin unit (OEM Firmware)...consult the wiki for proper flashing instructions for your model.

For proper methods for flashing and for file information about NEWD and VINT, see the Peacock Sticky at the top of this forum...or follow this link
Actually, that is a GREAT place to start when you are looking for most answers.


If you still have questions...use the Search button and consult the FAQ in the Wiki....if you still haven't found the answer...feel free to ask on the forum.

redhawk

_________________
I currently test dd-wrt on Asus, Buffalo, Linksys, and Netgear. Too many to list.

Looking for more test units (newer models) for the project...got a brick?...PM me to make a donation. (USA) A donation is not a debricking service....it is a way to "Give back" to the dd-wrt project.

I do NOT provide personal assistance through chat or phone....so please don't ask.
Sponsor
Display posts from previous:    Page 1 of 1
Post new topic   This topic is locked: you cannot edit posts or make replies.    DD-WRT Forum Forum Index -> Broadcom SoC based Hardware All times are GMT

Navigation

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You can attach files in this forum
You can download files in this forum